[error report] Install 5.7.5 on PHP5.3.3.

Permalink
I've tried to install ver5.7.5 on PHP 5.3.3 (Red Hat Enterprise Linux Server release 6.2)
Then, I catched an error log, which is below.

---------------------------
PHP Fatal error: Can't inherit abstract function Concrete\\Core\\Asset\\AssetInterface::getAssetDefaultPosition() (previously declared abstract in Concrete\\Core\\Asset\\Asset) in /DocumentRoot/concrete/src/Asset/Asset.php on line 9
---------------------------

Please, check that problem on PHP 5.3.3

By the way, ver5.7.5 RC1 is working on PHP5.3.3

Thank you.

View Replies:
zanedev replied on at Permalink Reply
zanedev
I can confirm this.. had C5 5.7.5 RC1 with php 5.3 on my local system and it broke with the same error when upgrading to C5 v5.7.5. Just upgraded to php 5.4 and it fixed it.
KineticVision replied on at Permalink Reply
KineticVision
Confirmed. Upgrade from PHP5.3.3 to PHP5.4 fixed it
shin2 replied on at Permalink Reply
Thank you all.

This issue will be fixed in 5.7.5.1 and will be released soon.

https://www.concrete5.org/developers/bugs/5-7-5/cannot-install-with-...

Thank you.
Temposaur replied on at Permalink Reply
Temposaur
I still get blank white page on 5.3.3 with 5.7.5.1. Crashes with both new installation and on upgrade.

No errors, just blank page.
KineticVision replied on at Permalink Reply
KineticVision
Is error_reporting() on?
Temposaur replied on at Permalink Reply
Temposaur
error_reporting = E_ALL & ~E_DEPRECATED